﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ItemComments.ascx.cs" Inherits="userControl.ItemComments" %>
<asp:Repeater runat="server" ID="rptComments">
    <ItemTemplate>
        时间：<%# (Container.DataItem as userControl.Comment).CreateTime.ToString() %><br />
        内容：<%# (Container.DataItem as userControl.Comment).Content %> 
       
    </ItemTemplate>
    <SeparatorTemplate>
        <hr />
    </SeparatorTemplate>
    <FooterTemplate>
        <hr />
    </FooterTemplate>
</asp:Repeater>
 
<% if (this.PageIndex > 1)
   { %>
        <a href="/ViewItem.aspx?page=<%= this.PageIndex - 1 %>" title="上一页">上一页</a>&nbsp;
<% } %>
<%  int totalPage;
    decimal totalNum = (decimal)this.TotalCount;
    decimal pagesize = (decimal)this.PageSize;
    if (totalNum % pagesize != 0)
        totalPage = this.TotalCount / this.PageSize + 1;
    else
        totalPage = this.TotalCount / this.PageSize;
        
    int startPage = 1;
    int lastPage = 11;
    
    if (totalPage <= 11)
    {
        startPage = 1;
        lastPage = totalPage;
    }
    else
    {
        if (this.PageIndex > 5)
        {
            startPage = this.PageIndex - 5;
            lastPage = this.PageIndex + 5;
            if (lastPage > totalPage)
            {
                startPage = totalPage - 10;
                lastPage = totalPage;
            }
        }
    }

    for (int i = startPage; i <= lastPage; i++)
    {%>
    <a href="/ViewItem.aspx?page=<%= i%>" title="第<%=i %>页">[<%= i%>]</a>
    <% }%>
<% if (this.PageIndex * this.PageSize < this.TotalCount)
   { %>
        <a href="/ViewItem.aspx?page=<%= this.PageIndex + 1 %>" title="上一页">下一页</a>
<% } %>