﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace userControl
{
    public partial class ItemComments : System.Web.UI.UserControl
    {
        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);

            this.rptComments.DataSource = Comment.GetComments(this.PageSize,
                this.PageIndex, out this.m_totalCount);
            this.DataBind();
        }

        public int PageIndex { get; set; }

        public int PageSize { get; set; }

        private int m_totalCount;
        public int TotalCount
        {
            get
            {
                return this.m_totalCount;
            }
        }
    }
}